Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.gui.drawlayer
Enum DrawMode

    java.lang.Object
      java.lang.Enum<DrawMode>
          org.ka2ddo.yaac.gui.drawlayer.DrawMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DrawMode>

    public enum DrawMode

extends java.lang.Enum<DrawMode>

This enumeration defines the different drawing modes the DrawLayer can support.

See Also:
  `DrawLayer`

Enum Constant Summary
`DRAW_OVAL`
`DRAW_POLYLINE`
`DRAW_RECT`
`NONE`
`SELECT`
`TEXT`

Method Summary
`static DrawMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DrawMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final DrawMode NONE

### SELECT

    public static final DrawMode SELECT

### DRAW_POLYLINE

    public static final DrawMode DRAW_POLYLINE

### DRAW_RECT

    public static final DrawMode DRAW_RECT

### DRAW_OVAL

    public static final DrawMode DRAW_OVAL

### TEXT

    public static final DrawMode TEXT

Method Detail

### values

    public static DrawMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DrawMode c : DrawMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DrawMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD